apiVersion: helm.toolkit.fluxcd.io/v2
kind: HelmRelease
metadata:
  name: cert-manager
  namespace: cert-manager
spec:
  interval: 10m
  chart:
    spec:
      chart: cert-manager-infra
      version: "1.18.2"
      sourceRef:
        kind: HelmRepository
        name: yc-oci-charts
        namespace: flux-system
      interval: 10m
  install:
    remediation:
      retries: 3
  upgrade:
    remediation:
      retries: 3
  values:
    clusterIssuer:
      letsencrypt_issuer: null
      letsencrypt_issuer_istio: null
    crds:
      enabled: true
    extraPodMonitors: []
    metrics:
      serviceMonitor:
        enabled: false
    global:
      imagePullSecrets:
        - regcred
    controller:
      image:
        registry: cr.yandex
        repository: crp3ccidau046kdj8g9q/contour/cert-manager/cert-manager
        pullPolicy: Always
        pullSecrets:
          - regcred
      acmesolver:
        image:
          registry: cr.yandex
          repository: crp3ccidau046kdj8g9q/contour/cert-manager/acmesolver
          pullPolicy: Always
          pullSecrets:
            - regcred
    webhook:
      image:
        registry: cr.yandex
        repository: crp3ccidau046kdj8g9q/contour/cert-manager/cert-manager-webhook
        pullPolicy: Always
        pullSecrets:
          - regcred
    cainjector:
      image:
        registry: cr.yandex
        repository: crp3ccidau046kdj8g9q/contour/cert-manager/cainjector
        pullPolicy: Always
        pullSecrets:
          - regcred
